Subject: Re: LispScript

From: [email-masked] (Roy Smith)
Date: Wed, 2 Dec 87 12:42:40 EST

In <[email-masked]> [email-masked] (David Smyth) writes:
> PostScript reminds me of an intermediate language generated by a
> compiler, not a language suitable for human beings to think in.

	Not having been privy to the inner thoughts that went on in the
minds of the original postscript implementers, I would guess that this is
exactly what they had in mind.  Postscript is several things.  It's a
powerful general-purpose programming language with built-in graphics
operators.  It's easy to parse.  It's device independant.  And, while it is
indeed possible to write code directly in it, I don't think that is its
intended purpose.
--
Roy Smith, {allegra,cmcl2,philabs}!phri!roy
System Administrator, Public Health Research Institute
455 First Avenue, New York, NY 10016